<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA	02111-1307	USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcInfo(); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<!--[if lt IE 5]>
		<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/none.css" />
	<![endif]-->
	<?php dcPostTrackbackAutoDiscovery(); ?>
	<?php if (is_callable(array('fotobuzz','insert'))) { fotobuzz::insert(); } ?>
</head>

<body>
<div id="container">
<div id="page">

<div id="top">
	<h1><a href="<?php dcInfo('url'); ?>"><?php dcInfo(); ?></a></h1>
</div>

<p id="prelude"><a href="#main">Aller au contenu</a> | <a href="#navigation">Aller &agrave; la navigation</a></p> 

<div id="main">
	<div id="content">
	<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
		<div class="error"><strong>Erreur : </strong>
		<?php echo $err_msg; ?></div>

	<?php elseif ($mode == 'photo_archive') : ?>
		<?php dcPhotoBlog::displayPhotoArchives(); ?>
	<?php elseif ($preview) : /* Si on demande la prvisualisation d'un commentaire */?>
		<div id="comments">
			<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
			<div id="comment-preview">
				<blockquote>
				<?php dcCommentPreview(); ?>
				</blockquote>
			</div>

			<h3>Changer le commentaire</h3>
			<?php include dirname(__FILE__).'/form.php'; ?>
		</div>
	<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
		<?php # Phrase affiche en cas de recherche (%s est le mot cherch)
		dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
		?>

		<?php include dirname(__FILE__).'/list.php'; ?>

	<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
		<?php include dirname(__FILE__).'/post.php'; ?>
	<?php endif; ?>

	</div>
</div>



	<?php if (($mode != 'post') && ($mode != 'photo_archive')): ?>
	<div id="navigation"><div id="navprev">
	<?php dcPhotoBlog::displayNavigation($news->getTS(), 3, -1); ?>
	</div>
	<div id="navnext">
	<?php dcPhotoBlog::displayNavigation($news->getTS(), 3, 1); ?></div>
	<div id="navnow">
	<?php dcPhotoBlog::displayNavigation($news->getTS(), 1, 0); ?></div></div>
	<?php endif; ?>
<div id="clear"><p>&nbsp;</p></div>

<p class="minimenu"><a href="/">Revenir &agrave; l'accueil</a> | <a href="<?php dcPhotoBlog::displayMonthArchiveURL(); ?>">Voir les archives mensuelles</a><?php if ($mode <> 'photo_archive'): ?> | <a href="<?php dcPhotoBlog::displayCatArchiveURL($news->f('cat_libelle_url')); ?>">Voir les autres photos de la cat&eacute;gorie <?php dcPostCatTitle(); ?></a><?php endif; ?></p>
<p class="footer"><a href="<?php dcInfo('rss'); ?>">fil rss</a> | <a href="<?php dcInfo('rss'); ?>?type=co">fil rss commentaires</a> | <a href="<?php dcInfo('atom'); ?>">fil atom</a> | <a href="<?php dcInfo('atom'); ?>?type=co">fil atom commentaires</a><br />Photographies propuls&eacute;es par <a href="http://www.dotclear.net/">DotClear</a></p>

</div> <!-- end #page -->
</div>
</body>
</html>